<?php

namespace Article\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ArticleTransformer extends TransformerAbstract
{
    public function transform(\Article\Blog\Models\Article $article)
    {
        return [
            'id'                => $article->getRouteKey(),
            'key'               => [
                'public'    => $article->getPublicKey(),
                'route'     => $article->getRouteKey(),
            ], 
            'id'                => $article->id,
            'title'             => $article->title,
            'article'           => $article->article,
            'url'               => [
                'public'    => trans_url('blog/'.$article->getPublicKey()),
                'user'      => guard_url('blog/article/'.$article->getRouteKey()),
            ], 
            'status'            => trans('app.'.$article->status),
            'created_at'        => format_date($article->created_at),
            'updated_at'        => format_date($article->updated_at),
        ];
    }
}